Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Parameter_Dcls Class Reference

**************************************************************** More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Parameter_Dcls:

[legend]
Collaboration diagram for TAO_PSDL_Parameter_Dcls:

[legend]
List of all members.

## Public Methods

| TAO_PSDL_Parameter_Dcls ()
| ****************************************************************
| TAO_PSDL_Parameter_Dcls (TAO_PSDL_Node *param_dcl)
virtual | ~TAO_PSDL_Parameter_Dcls (void)
TAO_PSDL_Node * | param_dcl (void) const
| Get the value.
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods.

## Private Attributes

TAO_PSDL_Node * | param_dcl_
| The values.

## Detailed Description

****************************************************************

## Constructor & Destructor Documentation

TAO_PSDL_Parameter_Dcls::TAO_PSDL_Parameter_Dcls | ( |  | ) |

| ****************************************************************

TAO_PSDL_Parameter_Dcls::TAO_PSDL_Parameter_Dcls | ( | TAO_PSDL_Node * | param_dcl | ) |

TAO_PSDL_Parameter_Dcls::~TAO_PSDL_Parameter_Dcls | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Parameter_Dcls::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Implements TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Parameter_Dcls::param_dcl | ( | void |  | ) | const

| Get the value.

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Parameter_Dcls::param_dcl_`[private]`

| The values.

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp